package com.zulutrade.sample.binaryoptions.trading.client.trading;

import java.util.List;

import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.Position;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TraderStatistics;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.RegularOption;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.request.OpenRegularPositionRequest;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.request.OpenSixtySecondsPositionRequest;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.request.RegularOptionsRequest;

/**
 * BinaryOptionsTradingService, the interface of all the available trading methods
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
*/
public interface BinaryOptionsTradingService {

	List<String> requestAssets() throws TradingClientException;

	double requestBalance() throws TradingClientException;

	List<Position> requestOpenPositions() throws TradingClientException;

	List<Position> requestClosedPositions() throws TradingClientException;
	
	List<Position> requestClosedPositionsByDate(String startDate, String endDate) throws TradingClientException;

	TraderStatistics requestTraderStatistics() throws TradingClientException;

	List<TraderStatistics> requestTopTrades(int number) throws TradingClientException;

	Position openSixtySecondsPosition(OpenSixtySecondsPositionRequest openRequest) throws TradingClientException;

	Position openRegularPosition(OpenRegularPositionRequest openRequest) throws TradingClientException;

	List<RegularOption> requestRegularOptions(RegularOptionsRequest request) throws TradingClientException;
	
}
