package com.zulutrade.sample.binaryoptions.trading.client.trading.dto;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * Position, used for both open and closed positions
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class Position {

	int positionId; 
	int optionId; 
	String asset; 
	String positionType; 
	double amount; 
	double entryRate; 
	double endRate; 
	String executionDate; 
	String endDate; 
	double payout; 
	double netpnl; 
	boolean sixtySeconds; 
	String positionStatus;
	double winsum; 
	double losesum;
	
	public int getPositionId() {
		return positionId;
	}
	
	public void setPositionId(int positionId) {
		this.positionId = positionId;
	}
	
	public int getOptionId() {
		return optionId;
	}
	
	public void setOptionId(int optionId) {
		this.optionId = optionId;
	}
	
	public String getAsset() {
		return asset;
	}
	
	public void setAsset(String asset) {
		this.asset = asset;
	}
	
	public String getPositionType() {
		return positionType;
	}
	
	public void setPositionType(String positionType) {
		this.positionType = positionType;
	}
	
	public double getAmount() {
		return amount;
	}
	
	public void setAmount(double amount) {
		this.amount = amount;
	}
	
	public double getEntryRate() {
		return entryRate;
	}
	
	public void setEntryRate(double entryRate) {
		this.entryRate = entryRate;
	}
	
	public double getEndRate() {
		return endRate;
	}
	
	public void setEndRate(double endRate) {
		this.endRate = endRate;
	}

	public String getExecutionDate() {
		return executionDate;
	}
	
	public void setExecutionDate(String executionDate) {
		this.executionDate = executionDate;
	}
	
	public String getEndDate() {
		return endDate;
	}
	
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	
	public double getPayout() {
		return payout;
	}
	
	public void setPayout(double payout) {
		this.payout = payout;
	}
	
	public double getNetpnl() {
		return netpnl;
	}
	
	public void setNetpnl(double netpnl) {
		this.netpnl = netpnl;
	}
	
	public boolean isSixtySeconds() {
		return sixtySeconds;
	}
	
	public void setSixtySeconds(boolean sixtySeconds) {
		this.sixtySeconds = sixtySeconds;
	}
	
	public double getWinsum() {
		return winsum;
	}
	
	public void setWinsum(double winsum) {
		this.winsum = winsum;
	}
	
	public double getLosesum() {
		return losesum;
	}
	
	public void setLosesum(double losesum) {
		this.losesum = losesum;
	}
	
	public String getPositionStatus() {
		return positionStatus;
	}

	public void setPositionStatus(String positionStatus) {
		this.positionStatus = positionStatus;
	}

	@Override
	public String toString() {
		return "Position [positionId=" + positionId + ", optionId=" + optionId
				+ ", asset=" + asset + ", positionType=" + positionType
				+ ", amount=" + amount + ", entryRate=" + entryRate
				+ ", endRate=" + endRate + ", executionDate=" + executionDate
				+ ", endDate=" + endDate + ", payout=" + payout + ", netpnl="
				+ netpnl + ", sixtySeconds=" + sixtySeconds
				+ ", positionStatus=" + positionStatus + ", winsum=" + winsum
				+ ", losesum=" + losesum + "]";
	}

}
