package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.request;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * OpenSixtySecondsPositionRequest, the request we send in order to open a new sixty seconds position.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class OpenSixtySecondsPositionRequest {

	String positionType;
	double amount;
	String asset;
	int seconds;

	public OpenSixtySecondsPositionRequest() {}
	
	public OpenSixtySecondsPositionRequest(String positionType, double amount, String asset, int seconds) {
		this.positionType = positionType;
		this.amount = amount;
		this.asset = asset;
		this.seconds = seconds;
	}

	public String getPositionType() {
		return positionType;
	}

	public void setPositionType(String positionType) {
		this.positionType = positionType;
	}

	public double getAmount() {
		return amount;
	}

	public void setAmount(double amount) {
		this.amount = amount;
	}

	public String getAsset() {
		return asset;
	}

	public void setAsset(String asset) {
		this.asset = asset;
	}

	public int getSeconds() {
		return seconds;
	}

	public void setSeconds(int seconds) {
		this.seconds = seconds;
	}

	@Override
	public String toString() {
		return "OpenSixtySecondsPositionRequest [positionType=" + positionType
				+ ", amount=" + amount + ", asset=" + asset + ", seconds="
				+ seconds + "]";
	}

}
